
From: Andi Kleen <ak@muc.de>

Trivial gcc-3.5 build fixes.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/compiler-gcc3.h |    4 ++++
 25-akpm/include/linux/compiler.h      |    4 ++++
 2 files changed, 8 insertions(+)

diff -puN include/linux/compiler-gcc3.h~gcc35-always-inline include/linux/compiler-gcc3.h
--- 25/include/linux/compiler-gcc3.h~gcc35-always-inline	2004-07-10 17:52:18.544623512 -0700
+++ 25-akpm/include/linux/compiler-gcc3.h	2004-07-10 17:52:18.548622904 -0700
@@ -9,6 +9,10 @@
 # define __inline	__inline__ __attribute__((always_inline))
 #endif
 
+#if __GNUC_MINOR__ >= 1
+# define __always_inline inline __attribute__((always_inline))
+#endif
+
 #if __GNUC_MINOR__ > 0
 # define __deprecated	__attribute__((deprecated))
 #endif
diff -puN include/linux/compiler.h~gcc35-always-inline include/linux/compiler.h
--- 25/include/linux/compiler.h~gcc35-always-inline	2004-07-10 17:52:18.545623360 -0700
+++ 25-akpm/include/linux/compiler.h	2004-07-10 17:52:18.549622752 -0700
@@ -124,4 +124,8 @@ extern void __chk_user_ptr(void __user *
 #define noinline
 #endif
 
+#ifndef __always_inline
+#define __always_inline inline
+#endif
+
 #endif /* __LINUX_COMPILER_H */
_
